Portal Home > Knowledgebase > VMware Knowledge Base > Applying ESXi 5.0 Update 1 host profile to 5.0 host fails with the error: A general system error occurred

Applying ESXi 5.0 Update 1 host profile to 5.0 host fails with the error: A general system error occurred

Symptoms

  • After applying a host profile from an ESXi 5.0 Update 1 host to an ESXi 5.0 host, you see the error:

    A general system error occurred

  • In the vpxa.log file, you see an error similar to:

    2012-04-03T12:51:02.024Z [3B89DB90 info 'Default' opID=5F9B6375-00000B07-56] [VpxLRO] -- ERROR task-internal-148 --  -- vim.profile.host.profileEngine.HostProfileManager.execute: vmodl.fault.SystemError:
    --> Result:
    --> (vmodl.fault.SystemError) {
    -->    dynamicType = <unset>,
    -->    faultCause = (vmodl.MethodFault) null,
    -->    faultMessage = (vmodl.LocalizableMessage) [
    -->       (vmodl.LocalizableMessage) {
    -->          dynamicType = <unset>,
    -->          key = "com.vmware.vim.profile.engine.UnexpectedError",
    -->          arg = (vmodl.KeyAnyValue) [
    -->             (vmodl.KeyAnyValue) {
    -->                dynamicType = <unset>,
    -->                key = "context",
    -->                value = "Exception while executing profile",
    -->             },
    -->             (vmodl.KeyAnyValue) {
    -->                dynamicType = <unset>,
    -->                key = "error",
    -->                value = "'VirtualNICNamePolicy'",
    -->             }
    -->          ],
    -->          message = "Error: "'VirtualNICNamePolicy'".",
    -->       }
    -->    ],
    -->    reason = "",
    -->    msg = "A general system error occurred: "
    --> }
    --> Args:


Cause

This issue occurs because the VirtualNICNamePolicy does not exist on ESXi 5.0, but has been added to ESXi 5.0 Update 1, so applying the 5.0 Update 1 profile to a 5.0 host triggers the error.

Resolution

Host profiles from ESXi 5.0 Update 1 hosts cannot be applied to ESXi 5.0 hosts due to the addition of theVirtualNICNamePolicy in Update 1.

To work around this issue, VMware recommends upgrading the target ESXi 5.0 host to 5.0 Update 1.

If this is not possible, generate a new host profile for the ESXi 5.0 host, instead of applying an existing ESXi 5.0 Update 1 host profile.

Based on VMware KB 2017259 

Also Read

Language: